> For the complete documentation index, see [llms.txt](https://developers.mobile-text-alerts.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.mobile-text-alerts.com/api-reference/qr-code-templates.md).

# QR Code Templates

* Get QR Code Template [#get-qr-code-templates-qrcodetemplateid](#get-qr-code-templates-qrcodetemplateid "mention")
* List QR Code Templates [#get-qr-code-templates](#get-qr-code-templates "mention")

## GET /qr-code-templates/{qrCodeTemplateId}

> Get QR Code Template

```json
{"openapi":"3.0.0","info":{"title":"Mobile Text Alerts API","version":"8.0.0"},"servers":[{"url":"https://api.mobile-text-alerts.com/v3"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"apiKey"}},"schemas":{"GetQRCodeTemplate.Response":{"allOf":[{"$ref":"#/components/schemas/IApiResponse"},{"type":"object","properties":{"data":{"$ref":"#/components/schemas/IQRCodeTemplate"}},"required":["data"]}]},"IApiResponse":{"type":"object","properties":{"success":{"type":"boolean"},"error":{"type":"string"},"message":{"type":"string"},"data":{}}},"IQRCodeTemplate":{"type":"object","properties":{"id":{"type":"number"},"accountId":{"type":"number"},"name":{"type":"string"},"settings":{"$ref":"#/components/schemas/QROptions"},"createdAt":{"oneOf":[{"format":"date-time","type":"string"},{"type":"string"}]},"updatedAt":{"oneOf":[{"format":"date-time","type":"string"},{"type":"string"}]}},"required":["id","accountId","name","createdAt","updatedAt"]},"QROptions":{"type":"object","properties":{"type":{"$ref":"#/components/schemas/DrawType"},"shape":{"$ref":"#/components/schemas/ShapeType"},"width":{"type":"number"},"height":{"type":"number"},"margin":{"type":"number"},"data":{"type":"string"},"image":{"type":"string"},"qrOptions":{"type":"object","properties":{"typeNumber":{"$ref":"#/components/schemas/TypeNumber"},"mode":{"$ref":"#/components/schemas/Mode"},"errorCorrectionLevel":{"$ref":"#/components/schemas/ErrorCorrectionLevel"}}},"imageOptions":{"type":"object","properties":{"hideBackgroundDots":{"type":"boolean"},"imageSize":{"type":"number"},"crossOrigin":{"type":"string"},"margin":{"type":"number"}}},"dotsOptions":{"type":"object","properties":{"type":{"$ref":"#/components/schemas/DotType"},"color":{"type":"string"},"gradient":{"$ref":"#/components/schemas/Gradient"}}},"cornersSquareOptions":{"type":"object","properties":{"type":{"$ref":"#/components/schemas/CornerSquareType"},"color":{"type":"string"},"gradient":{"$ref":"#/components/schemas/Gradient"}}},"cornersDotOptions":{"type":"object","properties":{"type":{"$ref":"#/components/schemas/CornerDotType"},"color":{"type":"string"},"gradient":{"$ref":"#/components/schemas/Gradient"}}},"backgroundOptions":{"type":"object","properties":{"round":{"type":"number"},"color":{"type":"string"},"gradient":{"$ref":"#/components/schemas/Gradient"}}}}},"DrawType":{"type":"string","enum":["canvas","svg"]},"ShapeType":{"type":"string","enum":["square","circle"]},"TypeNumber":{"type":"number","enum":[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40]},"Mode":{"type":"string","enum":["Numeric","Alphanumeric","Byte","Kanji"]},"ErrorCorrectionLevel":{"type":"string","enum":["L","M","Q","H"]},"DotType":{"type":"string","enum":["dots","rounded","classy","classy-rounded","square","extra-rounded"]},"Gradient":{"type":"object","properties":{"type":{"$ref":"#/components/schemas/GradientType"},"rotation":{"type":"number"},"colorStops":{"type":"array","items":{"type":"object","properties":{"offset":{"type":"number"},"color":{"type":"string"}},"required":["offset","color"]}}},"required":["type","colorStops"]},"GradientType":{"type":"string","enum":["radial","linear"]},"CornerSquareType":{"type":"string","enum":["dot","square","extra-rounded"]},"CornerDotType":{"type":"string","enum":["dot","square"]}},"responses":{"BadRequestError":{"description":"BadRequestError","content":{"application/json":{"schema":{"type":"object","properties":{"httpCode":{"type":"number","enum":[400]},"message":{"type":"string"},"timestamp":{"type":"string","format":"date-time"},"type":{"type":"string","enum":["bad_request_error"]},"name":{"type":"string","enum":["MTABadRequestError"]},"requestId":{"type":"string","format":"uuid"}}}}}},"UnauthorizedError":{"description":"UnauthorizedError","content":{"application/json":{"schema":{"type":"object","properties":{"httpCode":{"type":"number","enum":[401]},"message":{"type":"string"},"timestamp":{"type":"string","format":"date-time"},"type":{"type":"string","enum":["unauthorized_error"]},"name":{"type":"string","enum":["MTAUnauthorizedError"]},"requestId":{"type":"string","format":"uuid"}}}}}},"ForbiddenError":{"description":"ForbiddenError","content":{"application/json":{"schema":{"type":"object","properties":{"httpCode":{"type":"number","enum":[403]},"message":{"type":"string"},"timestamp":{"type":"string","format":"date-time"},"type":{"type":"string","enum":["forbidden_error"]},"name":{"type":"string","enum":["MTAForbiddenError"]},"requestId":{"type":"string","format":"uuid"},"reason":{}}}}}},"InternalServerError":{"description":"InternalServerError","content":{"application/json":{"schema":{"type":"object","properties":{"httpCode":{"type":"number","enum":[500]},"message":{"type":"string"},"timestamp":{"type":"string","format":"date-time"},"type":{"type":"string","enum":["internal_server_error"]},"name":{"type":"string","enum":["MTAInternalServerError"]},"requestId":{"type":"string","format":"uuid"}}}}}}}},"paths":{"/qr-code-templates/{qrCodeTemplateId}":{"get":{"tags":["QR Code Templates"],"summary":"Get QR Code Template","operationId":"qr_code_templates_get_qr_code_template","responses":{"200":{"description":"Success","headers":{"RateLimit-Limit":{"description":"The maximum number of requests that the consumer is permitted to make per window","schema":{"type":"integer"}},"RateLimit-Remaining":{"description":"The number of requests remaining in the current rate limit window","schema":{"type":"integer"}},"RateLimit-Reset":{"description":"The remaining window before the rate limit resets in milliseconds","schema":{"type":"integer"}},"Retry-After":{"description":"The number of seconds to wait before retrying the request","schema":{"type":"integer"}},"X-RateLimit-Limit":{"description":"The maximum number of requests that the consumer is permitted to make per window","schema":{"type":"integer"}},"X-RateLimit-Remaining":{"description":"The number of requests remaining in the current rate limit window","schema":{"type":"integer"}},"X-RateLimit-Reset":{"description":"The remaining window before the rate limit resets in milliseconds","schema":{"type":"integer"}},"X-Request-ID":{"description":"A unique identifier for the request","schema":{"type":"string","format":"uuid"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetQRCodeTemplate.Response"}}}},"400":{"$ref":"#/components/responses/BadRequestError"},"401":{"$ref":"#/components/responses/UnauthorizedError"},"403":{"$ref":"#/components/responses/ForbiddenError"},"500":{"$ref":"#/components/responses/InternalServerError"}},"parameters":[{"name":"qrCodeTemplateId","in":"path","required":true,"schema":{"type":"string"}}]}}}}
```

## GET /qr-code-templates

> List QR Code Templates

```json
{"openapi":"3.0.0","info":{"title":"Mobile Text Alerts API","version":"8.0.0"},"servers":[{"url":"https://api.mobile-text-alerts.com/v3"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"apiKey"}},"schemas":{"ListQRCodeTemplates.Response":{"allOf":[{"$ref":"#/components/schemas/IApiResponsePaginated"},{"type":"object","properties":{"data":{"type":"object","properties":{"rows":{"type":"array","items":{"$ref":"#/components/schemas/IQRCodeTemplate"}},"page":{"type":"number"},"pageSize":{"type":"number"},"total":{"type":"number"}},"required":["rows","page","pageSize","total"]}},"required":["data"]}]},"IApiResponsePaginated":{"allOf":[{"$ref":"#/components/schemas/IApiResponse"},{"type":"object","properties":{"data":{"$ref":"#/components/schemas/PaginationData"}},"required":["data"]}]},"IApiResponse":{"type":"object","properties":{"success":{"type":"boolean"},"error":{"type":"string"},"message":{"type":"string"},"data":{}}},"PaginationData":{"type":"object","properties":{"rows":{"type":"array","items":{}},"page":{"type":"number"},"pageSize":{"type":"number"},"total":{"type":"number"}},"required":["rows","page","pageSize","total"]},"IQRCodeTemplate":{"type":"object","properties":{"id":{"type":"number"},"accountId":{"type":"number"},"name":{"type":"string"},"settings":{"$ref":"#/components/schemas/QROptions"},"createdAt":{"oneOf":[{"format":"date-time","type":"string"},{"type":"string"}]},"updatedAt":{"oneOf":[{"format":"date-time","type":"string"},{"type":"string"}]}},"required":["id","accountId","name","createdAt","updatedAt"]},"QROptions":{"type":"object","properties":{"type":{"$ref":"#/components/schemas/DrawType"},"shape":{"$ref":"#/components/schemas/ShapeType"},"width":{"type":"number"},"height":{"type":"number"},"margin":{"type":"number"},"data":{"type":"string"},"image":{"type":"string"},"qrOptions":{"type":"object","properties":{"typeNumber":{"$ref":"#/components/schemas/TypeNumber"},"mode":{"$ref":"#/components/schemas/Mode"},"errorCorrectionLevel":{"$ref":"#/components/schemas/ErrorCorrectionLevel"}}},"imageOptions":{"type":"object","properties":{"hideBackgroundDots":{"type":"boolean"},"imageSize":{"type":"number"},"crossOrigin":{"type":"string"},"margin":{"type":"number"}}},"dotsOptions":{"type":"object","properties":{"type":{"$ref":"#/components/schemas/DotType"},"color":{"type":"string"},"gradient":{"$ref":"#/components/schemas/Gradient"}}},"cornersSquareOptions":{"type":"object","properties":{"type":{"$ref":"#/components/schemas/CornerSquareType"},"color":{"type":"string"},"gradient":{"$ref":"#/components/schemas/Gradient"}}},"cornersDotOptions":{"type":"object","properties":{"type":{"$ref":"#/components/schemas/CornerDotType"},"color":{"type":"string"},"gradient":{"$ref":"#/components/schemas/Gradient"}}},"backgroundOptions":{"type":"object","properties":{"round":{"type":"number"},"color":{"type":"string"},"gradient":{"$ref":"#/components/schemas/Gradient"}}}}},"DrawType":{"type":"string","enum":["canvas","svg"]},"ShapeType":{"type":"string","enum":["square","circle"]},"TypeNumber":{"type":"number","enum":[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40]},"Mode":{"type":"string","enum":["Numeric","Alphanumeric","Byte","Kanji"]},"ErrorCorrectionLevel":{"type":"string","enum":["L","M","Q","H"]},"DotType":{"type":"string","enum":["dots","rounded","classy","classy-rounded","square","extra-rounded"]},"Gradient":{"type":"object","properties":{"type":{"$ref":"#/components/schemas/GradientType"},"rotation":{"type":"number"},"colorStops":{"type":"array","items":{"type":"object","properties":{"offset":{"type":"number"},"color":{"type":"string"}},"required":["offset","color"]}}},"required":["type","colorStops"]},"GradientType":{"type":"string","enum":["radial","linear"]},"CornerSquareType":{"type":"string","enum":["dot","square","extra-rounded"]},"CornerDotType":{"type":"string","enum":["dot","square"]}},"responses":{"BadRequestError":{"description":"BadRequestError","content":{"application/json":{"schema":{"type":"object","properties":{"httpCode":{"type":"number","enum":[400]},"message":{"type":"string"},"timestamp":{"type":"string","format":"date-time"},"type":{"type":"string","enum":["bad_request_error"]},"name":{"type":"string","enum":["MTABadRequestError"]},"requestId":{"type":"string","format":"uuid"}}}}}},"UnauthorizedError":{"description":"UnauthorizedError","content":{"application/json":{"schema":{"type":"object","properties":{"httpCode":{"type":"number","enum":[401]},"message":{"type":"string"},"timestamp":{"type":"string","format":"date-time"},"type":{"type":"string","enum":["unauthorized_error"]},"name":{"type":"string","enum":["MTAUnauthorizedError"]},"requestId":{"type":"string","format":"uuid"}}}}}},"ForbiddenError":{"description":"ForbiddenError","content":{"application/json":{"schema":{"type":"object","properties":{"httpCode":{"type":"number","enum":[403]},"message":{"type":"string"},"timestamp":{"type":"string","format":"date-time"},"type":{"type":"string","enum":["forbidden_error"]},"name":{"type":"string","enum":["MTAForbiddenError"]},"requestId":{"type":"string","format":"uuid"},"reason":{}}}}}},"InternalServerError":{"description":"InternalServerError","content":{"application/json":{"schema":{"type":"object","properties":{"httpCode":{"type":"number","enum":[500]},"message":{"type":"string"},"timestamp":{"type":"string","format":"date-time"},"type":{"type":"string","enum":["internal_server_error"]},"name":{"type":"string","enum":["MTAInternalServerError"]},"requestId":{"type":"string","format":"uuid"}}}}}}}},"paths":{"/qr-code-templates":{"get":{"tags":["QR Code Templates"],"summary":"List QR Code Templates","operationId":"qr_code_templates_list_qr_code_templates","responses":{"200":{"description":"Success","headers":{"RateLimit-Limit":{"description":"The maximum number of requests that the consumer is permitted to make per window","schema":{"type":"integer"}},"RateLimit-Remaining":{"description":"The number of requests remaining in the current rate limit window","schema":{"type":"integer"}},"RateLimit-Reset":{"description":"The remaining window before the rate limit resets in milliseconds","schema":{"type":"integer"}},"Retry-After":{"description":"The number of seconds to wait before retrying the request","schema":{"type":"integer"}},"X-RateLimit-Limit":{"description":"The maximum number of requests that the consumer is permitted to make per window","schema":{"type":"integer"}},"X-RateLimit-Remaining":{"description":"The number of requests remaining in the current rate limit window","schema":{"type":"integer"}},"X-RateLimit-Reset":{"description":"The remaining window before the rate limit resets in milliseconds","schema":{"type":"integer"}},"X-Request-ID":{"description":"A unique identifier for the request","schema":{"type":"string","format":"uuid"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListQRCodeTemplates.Response"}}}},"400":{"$ref":"#/components/responses/BadRequestError"},"401":{"$ref":"#/components/responses/UnauthorizedError"},"403":{"$ref":"#/components/responses/ForbiddenError"},"500":{"$ref":"#/components/responses/InternalServerError"}},"parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"number"}},{"name":"pageSize","in":"query","required":false,"schema":{"type":"number"}},{"name":"sortDirection","in":"query","required":false,"schema":{"type":"string","enum":["asc","desc","ASC","DESC"]}},{"name":"query","in":"query","required":false,"schema":{"type":"string"}},{"name":"sortBy","in":"query","required":false,"schema":{"type":"string"}}]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.mobile-text-alerts.com/api-reference/qr-code-templates.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
